Virtual Accounts
List Virtual Accounts

List Dedicated Accounts

Get all dedicated virtual accounts on your integration.

Endpoint: GET https://api.budpay.com/api/v2/list_dedicated_accounts

Parameters

This section details the header information required for listing dedicated accounts.

Field NameDescription
URLhttps://api.budpay.com/api/v2/list_dedicated_accounts
MethodGET
AuthorizationBearer YOUR_SECRET_KEY (Replace with your actual BudPay secret key)
Query Parameters (Optional)
ParameterTypeRequiredDescription
activeStringNoFilter by account status
currencyStringNoFilter by currency (only NGN supported)

Sample Request

Endpoint: GET https://api.budpay.com/api/v2/list_dedicated_accounts

1curl -X GET 'https://api.budpay.com/api/v2/list_dedicated_accounts' \2  -H 'Authorization: Bearer YOUR_SECRET_KEY'
{  "status": true,  "message": "Dedicated accounts retrieved",  "data": [    {      "account_name": "Samji Ventures / Tolu Oye",      "account_number": "7235483839",      "bank": "Wema Bank",      "currency": "NGN",      "status": "active",      "customer": {        "email": "toluxsys@yahoo.ca",        "customer_code": "CUS_ctiv4kdyniqtjqe"      }    }  ]}

Response Fields
FieldDescription
account_nameGenerated account name (Business Name / Customer Name)
account_numberDedicated NUBAN account number
bankBank providing the virtual account
currencyAccount currency (NGN)
statusAccount status (active, inactive)
customerCustomer details attached to the account